//TestDist1.ino
#include "XBotDistIrDef.h"

void setup() { 
  PORTC = 0;  // pas de pull-up
  SetupDistIr ();
  Serial.begin(9600); 
}
// variables globales
byte mesureG, mesureD;
#define MaxVal 250  // max 250
void GetDist () {
   volatile byte cntG=0, cntD=0 ;
   DirCha ; CapaCha; // precharge
   delayMicroseconds (100) ;
   LedIrOn ; DirMes ; LedIrOn ;
   cntG = 0 ;  cntD = 0 ;
   for (byte i=0; i<MaxVal; i++) {
      delayMicroseconds (200) ;
      if (CapaGHigh)  cntG++ ;
      if (CapaDHigh)  cntD++ ;
   }
   LedIrOff ;
   mesureG = cntG ;
   mesureD = cntD ;
}

volatile byte cntAffi;
void loop() {
  GetDist () ; 
  delay (10);
  // tous les 10x 10ms, on affiche
  cntAffi ++ ;
  if (cntAffi > 10) {  // on affiche
    cntAffi = 0 ;
    Serial.print("Distances "); 
    Serial.print(mesureG); 
    Serial.print(" "); 
    Serial.println(mesureD);
  }  
}


