// XbotCDef.h definitions et fonctions 
#include <Arduino.h>
#define bLed 5 // pin 13  debug
#define LedOn  bitSet   (PORTD,bLed); 
#define LedOff bitClear (PORTD,bLed);
#define LedToggle PORTB ^= 1<<bLed 

#define bRecG 4 // PORTD  actifs � 1
#define bAvG 5
#define bAvD 6
#define bRecD 7
// pour les exercice simples
#define Avance  PORTD |= 0b01100000; PORTD &= 0b01101111
#define Recule  PORTD |= 0b10010000; PORTD &= 0b10011111
#define TourneD PORTD |= 0b10100000; PORTD &= 0b10101111
#define TourneG PORTD |= 0b01010000; PORTD &= 0b01011111
#define Stop PORTD &= ~0b11110000
// pour le Pfm
#define AvD   bitClear (PORTD,bRecD); bitSet   (PORTD,bAvD)
#define RecD  bitSet   (PORTD,bRecD); bitClear (PORTD,bAvD)
#define StopD bitClear (PORTD,bRecD); bitClear (PORTD,bAvD)
#define AvG   bitClear (PORTD,bRecG); bitSet   (PORTD,bAvG)
#define RecG  bitSet   (PORTD,bRecG); bitClear (PORTD,bAvG)
#define StopG bitClear (PORTD,bRecG); bitClear (PORTD,bAvG)

#define bMousD 3 // PORTD,3)
#define bMousG 2
#define ObsG  !(PIND&1<<bMousD)
#define ObsD  !(PIND&1<<bMousG)

void SetupXBot ()  {
   DDRD |=  0b11110000 ; // force les 1 out
   DDRD &=  0b11110011 ; // force les 0 in
   PORTD = 0x0F ; // --> 0 Mot stop
//   DDRB |= 1<<bLed ; // Led13 
}
